/*
  MyJSRealTimeClock - Version: 1.2 - Date: 16/03/2015
  Copyright  2015 Alessandro Marinuzzi [Alecos]
  Add to your page this piece of code like this:
  <body onload="clock('clock')">
  <span id="clock">&nbsp;</span>
*/
function escapeHTML(result) {
  return result
  // .replace(/&/g, '&amp;')
  .replace(/</g, '&lt;')
  .replace(/>/g, '&gt;')
  .replace(/\"/g, '&quot;')
  .replace(/\'/g, '&#39;')
  .replace(/\//g, '&#x2F;')
}
function clock(id) {
  var time = new Date;
  var day = time.getDay();
  var date = time.getDate();
  var month = time.getMonth();
  var year = time.getFullYear();
  var hours = time.getHours();
  var minutes = time.getMinutes();
  var seconds = time.getSeconds();
  var days = new Array('Sunday', 'Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday');
  var months = new Array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
  if (hours < 10) {
    var hours = "0"+hours;
  }
  if (minutes < 10) {
    var minutes = "0"+minutes;
  }
  if (seconds < 10) {
    var seconds = "0"+seconds;
  }
  var result = days[day]+', '+months[month]+' '+date+' '+year+' - '+hours+':'+minutes+':'+seconds;
  if (document.getElementById(id) != null) {
    document.getElementById(id).innerHTML = escapeHTML(result);
    setTimeout('clock("'+id+'");','500');
    return true;
  }
}